Skip to navigation

List Pickup Methods

Retrieves a list of pickup methods.

Examples

You can filter this list to return pickup method objects specific to a list of requested pickup method IDs. This is achieved by appending the query string ?id:in=1,3,5 to the resource /pickup/methods.

GET /pickup/methods?id:in=1,3,5

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlongOptional
Comma separated list of pickup method IDs.
limitlongOptional
Maximum number of results per page.
pagelongOptional
The number of the page to be fetched.
date_createddatetimeOptional

Filter pickup methods by the date created. Return methods created on the provided date.

For example, date_created=2023-09-07T06:23:13Z.

date_created:mindatetimeOptional

Filter pickup methods by minimum date created. Return methods created after the provided date.

For example, date_created:min=2023-09-07T06:23:13Z.

date_created:maxdatetimeOptional

Filter pickup methods by maximum date created. Return methods created before the provided date.

For example, date_created:max=2023-09-07T06:23:13Z.

date_modifieddatetimeOptional

Filter pickup methods by date modified. Return methods modified on the provided date.

For example, date_modified=2023-09-07T06:23:13Z.

date_modified:mindatetimeOptional

Filter pickup methods by minimum date modified. Return methods modified after the provided date.

For example, date_modified:min=2023-09-07T06:23:13Z.

date_modified:maxdatetimeOptional

Filter pickup methods by maximum date modified. Return methods modified before the provided date.

For example, date_modified:max=2023-09-07T06:23:13Z.

sortenumOptional

Sort pickup methods by date_modified:* or name:* ; for example, sort=name:asc.

  • date_modified:asc - sort by date modified in ascending order
  • date_modified:desc - sort by date modified in descending order
  • name:asc - sort by name in ascending order
  • name:desc - sort by name in descending order
Allowed values:

Response

The request has been processed and a list of pickup methods has been returned successfully.
datalist of objectsOptional
metaobjectOptional